@charset "utf-8";
body {
	background-color: #660;
	font-size: 15px;
	color: #f6f59a;
}
.button {
  background-color: #660;
  color: #f6f59a;
  font-family: 'Brush Script MT', cursive;
  font-size: 24px;
  padding: 12px;
  border: none;
  border-radius: 5px;
  cursor: pointer;
}
.button:hover {
  background-color: #CCC;
  color:#666;
}

.contactform-container * {
  box-sizing: border-box;
	font-family: "Inter", sans-serif;

  /* colors */
  --color-blue: #2552d0;
  --color-light-blue: #3266e3;
  --color-gray: #e5e7eb;
  --color-dark-gray: #9da3ae;
  --color-pink: #edadd2;
}

.contactform-container {
  /* container */
  --c-width: 50%;
  --c-max-width: 500px;

  width: var(--c-width);
  max-width: var(--c-max-width);
  display: block;
  margin: 10vh auto 0 auto;
}

.contact-form label {
  display: block;
  padding: 12px 0 2px 0;
  letter-spacing: -0.2px;
  cursor: pointer;
  font-size: 16px;
  font-weight: 700;
}

.contact-form input,
.contact-form textarea {
  font-size: 16px;
  display: block;
  width: 100%;
  padding: 10px;
  background-color: var(--color-gray);
  border: none;
  border: 4px solid var(--color-gray);
  outline: none;
  border-radius: 8px;
  color: var(--color-dark-gray);
}

.contact-form input:focus,
.contact-form textarea:focus {
  background-color: #fff;
  color: var(--color-dark-gray);
}

.contact-form input:focus:required:invalid {
  border-color: var(--color-pink);
  background-color: #fff;
}

.contact-form button {
  display: block;
  margin-top: 12px;
  width: 100%;
  padding: 12px 20px;
  border-radius: 8px;
	border-color: transparent;
  background-color: #360;
  color: #f6f59a;
  font-weight: 700;
  font-size: 18px;

  transition: 300ms all;
}

.contact-form button:hover {
  background-color: #030;
}

.contactform-alert.visible {
  display: block;
}

.contactform-alert.success {
  background: #69cf9d;
}

.contactform-alert.error {
  background: #de524c;
}

